Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyComm::StructuredPullSupplier Interface Reference

Defines the interface used by pull-style suppliers of structured events. More...

`import "CosNotifyComm.idl";`

Inheritance diagram for CosNotifyComm::StructuredPullSupplier:

[legend]
Collaboration diagram for CosNotifyComm::StructuredPullSupplier:

[legend]
List of all members.

## Public Methods
CosNotification::StructuredEvent | pull_structured_event () raises (CosEventComm::Disconnected)
| Pull (blocking) one event from the supplier.
CosNotification::StructuredEvent | try_pull_structured_event (out boolean has_event) raises (CosEventComm::Disconnected)
| Pull (non-blocking) one event from the supplier.
void | disconnect_structured_pull_supplier ()
| The peer has disconnected.

## Detailed Description

Defines the interface used by pull-style suppliers of structured events.

Pull-style suppliers passively generate events for the Notification Service. The events use the CosNotification::StructuredEvent format.

## Member Function Documentation

void CosNotifyComm::StructuredPullSupplier::disconnect_structured_pull_supplier | ( |  | ) |

| The peer has disconnected. This operation is invoked by the consumer peer when it wishes to disconnect. The consumer can safely assume that no more events will follow this request.

CosNotification::StructuredEvent CosNotifyComm::StructuredPullSupplier::pull_structured_event | ( |  | ) | raises (CosEventComm::Disconnected)

  | Pull (blocking) one event from the supplier. This operation should block until the next event becomes available. Exceptions:
  CosEventComm::Disconnected | if the object considers itself no longer connected to its peer.

CosNotification::StructuredEvent CosNotifyComm::StructuredPullSupplier::try_pull_structured_event | ( | out boolean | has_event | ) | raises (CosEventComm::Disconnected)

  | Pull (non-blocking) one event from the supplier. The try_pull operation does not block: if the event data is available, it returns the event data and sets the has_event parameter to true; if the event is not available, it sets the has_event parameter to false and the event data is returned as long with an undefined value. Exceptions:
  CosEventComm::Disconnected | if the object considers itself no longer connected to its peer.

The documentation for this interface was generated from the following file:

- CosNotifyComm.idl